# $Revision: 1.18.2.3 $, $Date: 2003/12/02 01:31:21 $
Summary:	A project management program that can help build plans, and track the progress
Summary(pl):	System zarzdzania projektem
Summary(pt_BR):	MrProject  um programa para gerenciamento de projetos
Name:		mrproject
Version:	0.5.1
Release:	2
License:	GPL
Group:		X11/Applications
#URL:		http://mrproject.codefactory.se/
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	43c42b6a280f7c64e529b9c754babeec
Patch0:		%{name}-desktop.patch
BuildRequires:	ORBit-devel >= 0.5.10
BuildRequires:	GConf-devel >= 1.0.4
#BuildRequires:	autoconf
#BuildRequires:	automake
BuildRequires:	bonobo-devel >= 1.0.7
BuildRequires:	gal-devel >= 0.19
BuildRequires:	gdk-pixbuf-gnome-devel >= 0.8.0
#BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel >= 1.2.8
BuildRequires:	gnome-print-devel >= 0.25
BuildRequires:	gnome-vfs-devel >= 1.0.0
BuildRequires:	libglade-gnome-devel >= 0.14
#BuildRequires:	libtool
BuildRequires:	libxml-devel >= 1.8.14
BuildRequires:	oaf-devel >= 0.6.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
A project management program that can help build project plans, and
track the progress of a project.

%description -l pl
Program wspomagajcy zarzdzanie projektami, tworzenie planw i
ledzenie postpu w wykonaniu projektu.

%description -l pt_BR
MrProject  um gerenciador de projetos baseado no GNOME.

%prep
%setup -q
%patch0 -p1

%build
#rm -f missing
#%{__gettextize}
#%{__libtoolize}
#aclocal -I macros
#%{__autoconf}
#%{__automake}
CPPFLAGS="-I%{_includedir}/gnome-1.0"; export CPPFLAGS
touch libmrproject/Composer.h
%configure2_13 \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Office/Misc

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/mrproject
%dir %{_libdir}/mrproject/components
%attr(755,root,root) %{_libdir}/mrproject/components/*.*
%{_applnkdir}/Office/Misc/mrproject.desktop
%{_datadir}/images/mrproject
%{_datadir}/mrproject/*
%{_datadir}/gnome/ui/*
%{_datadir}/oaf/*
%{_datadir}/mime-info/*
%{_datadir}/idl/*.idl
%{_pixmapsdir}/*.png
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mrproject.spec,v $
Revision 1.18.2.3  2003/12/02 01:31:21  ankry
- added -desktop patch

Revision 1.18.2.2  2003/12/01 23:58:47  ankry
- md5, commented non-working URLs

Revision 1.18.2.1  2003/07/11 12:02:03  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.18  2002/08/13 12:26:01  kloczek
- release 2.

Revision 1.17  2002/08/06 12:41:18  qboosh
- BR: gdk-pixbuf-gnome-devel, libglade-gnome-devel; new %%doc

Revision 1.16  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/24 05:37:23  kloczek
- updated to 0.5.1 (bugfix release).

Revision 1.13  2002/01/18 02:13:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/13 14:56:59  kloczek
- reelase 2: rebuild against gal 0.19.

Revision 1.11  2002/01/03 09:09:24  kloczek
- updated to 0.5.0 (bug fixes, improvements and more translations).

Revision 1.10  2001/11/17 07:55:49  kloczek
- rebuild against gal 0.18.

Revision 1.9  2001/10/17 12:32:18  misiek
- updated to 0.4.1

Revision 1.8  2001/09/08 18:41:19  kloczek
- added am15 patch for build using on regenerate am files automake 1.5.

Revision 1.7  2001/09/08 18:24:41  kloczek
- release 3: rebuild against gal 0.11.2.

Revision 1.6  2001/07/26 07:31:58  kloczek
- release 2: rebuild against gal 0.9.

Revision 1.5  2001/07/11 00:09:15  kloczek
- regenerate ac/am/lt files.

Revision 1.4  2001/07/10 22:49:03  kloczek
- updated to 0.3.2.

Revision 1.3  2001/06/28 22:04:10  kloczek
- updated to 0.3.1 and rebuild against gal 0.8.

Revision 1.2  2001/06/22 02:26:26  kloczek
- completly rewrited and updated to 0.3.0.
